unit Unit1;

interface

uses
  Windows, Classes, Forms, APIButton, Dialogs, Controls, StdCtrls;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure TstClick(Sender: TAPIButton);
    procedure BntClick(Sender: TAPIButton);
  private
    Bnt,Tst:TAPIButton;
  public
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.BntClick(Sender: TAPIButton);
var
   S:string;
begin
   if InputQuery(Caption,'Enter an string:',S) then
      ListBox1.Items.Add(S);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
   Bnt:=TAPIButton.Create(Handle);
   Bnt.Parent:=Handle;
   Bnt.Caption:='Add';
   Bnt.Enabled:=True;
   Bnt.SetBounds(8,8,Bnt.Width,Bnt.Height);
   Bnt.OnMouseClick:=BntClick;
   Tst:=TAPIButton.Create(Handle);
   Tst.Left:=Bnt.Left + Bnt.Width + 8;
   Tst.Top:=8;
   Tst.Caption:='Remove';
   Tst.OnMouseClick:=TstClick;
end;

procedure TForm1.TstClick(Sender: TAPIButton);
begin
   with ListBox1 do
      if ItemIndex < 0 then
         MessageBox(Form1.Handle,'Please, select any item.',@Caption[1],MB_ICONERROR)
      else
         Items.Delete(ItemIndex);
end;

end.
